C $Id: dot_prod.f,v 1.2 1998/07/24 21:54:25 asc Exp $
        subroutine dot_prod(a,b,c)
        implicit none
        
        real*8 a(3), b(3), c

        c = a(1)*b(1) + a(2)*b(2) + a(3)*b(3)

        return
        end

